GET /traps/log
GETtraps/log
Retrieve the event logs of emails hitting monitored spam trap addresses
Query Parameters
ip string
Filter by IP address substring
domain_from string
Filter by domain_from substring
offset string
Number of items to skip before starting to return results
limit string
Maximum number of items to return per request
sort string
Example: -timestamp (desc) or timestamp (asc)
Returns
- dataarray
- idstringUnique identifier of the trap log entry
- ipstringSending IP address that triggered the trap
- domain_fromstringSender domain extracted from the email envelope
- email_from_headerstringSender address from the email From header
- email_subjectstringSubject line of the email that triggered the trap
- smtp_mail_from_domainstringDomain from the smtp_mail_from_domain command
- data_colorcodestringThreat classification color code assigned to this trap hitAllowed values:
black,grey - trap_estimated_domain_age_daysnumberEstimated age of the sender domain in days at the time of the trap hit
- timestampstringTimestamp when the trap was triggered
- idstring
- metaobjectPagination metadata for list responses
- countintegerTotal number of items available
- offsetintegerNumber of items skipped
- limitintegerMaximum number of items returned per request
- countinteger
Error Codes
401 Unauthorized
Unauthorized
403 Forbidden
Forbidden
404 Not Found
Not Found
500 Internal Server Error
Internal server error